*computing the one-year-ahead forecast for inflation
*where nextyear_fc is the median next calendar year inflation forecast and currentyear_fc is the median current calendar year inflation forecast
gen oneyear_fc=((0/12)*nextyear_fc)+((12/12)*currentyear_fc)
replace oneyear_fc=((1/12)*nextyear_fc)+((11/12)*currentyear_fc) if month==2
replace oneyear_fc=((2/12)*nextyear_fc)+((10/12)*currentyear_fc) if month==3
replace oneyear_fc=((3/12)*nextyear_fc)+((9/12)*currentyear_fc) if month==4
replace oneyear_fc=((4/12)*nextyear_fc)+((8/12)*currentyear_fc) if month==5
replace oneyear_fc=((5/12)*nextyear_fc)+((7/12)*currentyear_fc) if month==6
replace oneyear_fc=((6/12)*nextyear_fc)+((6/12)*currentyear_fc) if month==7
replace oneyear_fc=((7/12)*nextyear_fc)+((5/12)*currentyear_fc) if month==8
replace oneyear_fc=((8/12)*nextyear_fc)+((4/12)*currentyear_fc) if month==9
replace oneyear_fc=((9/12)*nextyear_fc)+((3/12)*currentyear_fc) if month==10
replace oneyear_fc=((10/12)*nextyear_fc)+((2/12)*currentyear_fc) if month==11
replace oneyear_fc=((11/12)*nextyear_fc)+((1/12)*currentyear_fc) if month==12

*computing the one-year-ahead interquartile range for inflation
*where nextyear_iqr is the interquartile range of next calendar year inflation forecasts and currentyear_iqr is the interquartile range of current calendar year inflation forecasts
gen oneyear_iqr=((0/12)*nextyear_iqr)+((12/12)*currentyear_iqr)
replace oneyear_iqr=((1/12)*nextyear_iqr)+((11/12)*currentyear_iqr) if month==2
replace oneyear_iqr=((2/12)*nextyear_iqr)+((10/12)*currentyear_iqr) if month==3
replace oneyear_iqr=((3/12)*nextyear_iqr)+((9/12)*currentyear_iqr) if month==4
replace oneyear_iqr=((4/12)*nextyear_iqr)+((8/12)*currentyear_iqr) if month==5
replace oneyear_iqr=((5/12)*nextyear_iqr)+((7/12)*currentyear_iqr) if month==6
replace oneyear_iqr=((6/12)*nextyear_iqr)+((6/12)*currentyear_iqr) if month==7
replace oneyear_iqr=((7/12)*nextyear_iqr)+((5/12)*currentyear_iqr) if month==8
replace oneyear_iqr=((8/12)*nextyear_iqr)+((4/12)*currentyear_iqr) if month==9
replace oneyear_iqr=((9/12)*nextyear_iqr)+((3/12)*currentyear_iqr) if month==10
replace oneyear_iqr=((10/12)*nextyear_iqr)+((2/12)*currentyear_iqr) if month==11
replace oneyear_iqr=((11/12)*nextyear_iqr)+((1/12)*currentyear_iqr) if month==12

*computing the one-year-ahead interdecile range for inflation
*where forecastny_idr is the interdecile range of next calendar year inflation forecasts and forecastcy is the interdecile range of current calendar year inflation forecasts
gen oneyear_idr=((0/12)*forecastny_idr)+((12/12)*forecastcy_idr)
replace oneyear_idr=((1/12)*forecastny_idr)+((11/12)*forecastcy_idr) if month==2
replace oneyear_idr=((2/12)*forecastny_idr)+((10/12)*forecastcy_idr) if month==3
replace oneyear_idr=((3/12)*forecastny_idr)+((9/12)*forecastcy_idr) if month==4
replace oneyear_idr=((4/12)*forecastny_idr)+((8/12)*forecastcy_idr) if month==5
replace oneyear_idr=((5/12)*forecastny_idr)+((7/12)*forecastcy_idr) if month==6
replace oneyear_idr=((6/12)*forecastny_idr)+((6/12)*forecastcy_idr) if month==7
replace oneyear_idr=((7/12)*forecastny_idr)+((5/12)*forecastcy_idr) if month==8
replace oneyear_idr=((8/12)*forecastny_idr)+((4/12)*forecastcy_idr) if month==9
replace oneyear_idr=((9/12)*forecastny_idr)+((3/12)*forecastcy_idr) if month==10
replace oneyear_idr=((10/12)*forecastny_idr)+((2/12)*forecastcy_idr) if month==11
replace oneyear_idr=((11/12)*forecastny_idr)+((1/12)*forecastcy_idr) if month==12


*computing the one-year-ahead interquartile forecast for GDP growth
*where gdpNextiqr is the interquartile range of next calendar year GDP growth forecasts and gdpCurrentiqr is the interquartile range of current calendar year GDP growth forecasts
gen oneyear_gdp_iqr=((0/12)*gdpNextiqr)+((12/12)*gdpCurrentiqr)
replace oneyear_gdp_iqr=((1/12)*gdpNextiqr)+((11/12)*gdpCurrentiqr) if month==2
replace oneyear_gdp_iqr=((2/12)*gdpNextiqr)+((10/12)*gdpCurrentiqr) if month==3
replace oneyear_gdp_iqr=((3/12)*gdpNextiqr)+((9/12)*gdpCurrentiqr) if month==4
replace oneyear_gdp_iqr=((4/12)*gdpNextiqr)+((8/12)*gdpCurrentiqr) if month==5
replace oneyear_gdp_iqr=((5/12)*gdpNextiqr)+((7/12)*gdpCurrentiqr) if month==6
replace oneyear_gdp_iqr=((6/12)*gdpNextiqr)+((6/12)*gdpCurrentiqr) if month==7
replace oneyear_gdp_iqr=((7/12)*gdpNextiqr)+((5/12)*gdpCurrentiqr) if month==8
replace oneyear_gdp_iqr=((8/12)*gdpNextiqr)+((4/12)*gdpCurrentiqr) if month==9
replace oneyear_gdp_iqr=((9/12)*gdpNextiqr)+((3/12)*gdpCurrentiqr) if month==10
replace oneyear_gdp_iqr=((10/12)*gdpNextiqr)+((2/12)*gdpCurrentiqr) if month==11
replace oneyear_gdp_iqr=((11/12)*gdpNextiqr)+((1/12)*gdpCurrentiqr) if month==12

*computing the one-year-ahead forecast for inflation at the 25th percentile
*where forecastny_pc25 is the next calendar year inflation forecast at the 25th percentile and forecastcy_pc25 is the current calendar year inflation forecast at the 25th percentile
gen oneyear_pc25=((0/12)*forecastny_pc25)+((12/12)*forecastcy_pc25)
replace oneyear_pc25=((1/12)*forecastny_pc25)+((11/12)*forecastcy_pc25) if month==2
replace oneyear_pc25=((2/12)*forecastny_pc25)+((10/12)*forecastcy_pc25) if month==3
replace oneyear_pc25=((3/12)*forecastny_pc25)+((9/12)*forecastcy_pc25) if month==4
replace oneyear_pc25=((4/12)*forecastny_pc25)+((8/12)*forecastcy_pc25) if month==5
replace oneyear_pc25=((5/12)*forecastny_pc25)+((7/12)*forecastcy_pc25) if month==6
replace oneyear_pc25=((6/12)*forecastny_pc25)+((6/12)*forecastcy_pc25) if month==7
replace oneyear_pc25=((7/12)*forecastny_pc25)+((5/12)*forecastcy_pc25) if month==8
replace oneyear_pc25=((8/12)*forecastny_pc25)+((4/12)*forecastcy_pc25) if month==9
replace oneyear_pc25=((9/12)*forecastny_pc25)+((3/12)*forecastcy_pc25) if month==10
replace oneyear_pc25=((10/12)*forecastny_pc25)+((2/12)*forecastcy_pc25) if month==11
replace oneyear_pc25=((11/12)*forecastny_pc25)+((1/12)*forecastcy_pc25) if month==12

*computing the one-year-ahead forecast for inflation at the 75th percentile
*where forecastny_pc75 is the next calendar year inflation forecast at the 75th percentile and forecastcy_pc75 is the current calendar year inflation forecast at the 75th percentile
gen oneyear_pc75=((0/12)*forecastny_pc75)+((12/12)*forecastcy_pc75)
replace oneyear_pc75=((1/12)*forecastny_pc75)+((11/12)*forecastcy_pc75) if month==2
replace oneyear_pc75=((2/12)*forecastny_pc75)+((10/12)*forecastcy_pc75) if month==3
replace oneyear_pc75=((3/12)*forecastny_pc75)+((9/12)*forecastcy_pc75) if month==4
replace oneyear_pc75=((4/12)*forecastny_pc75)+((8/12)*forecastcy_pc75) if month==5
replace oneyear_pc75=((5/12)*forecastny_pc75)+((7/12)*forecastcy_pc75) if month==6
replace oneyear_pc75=((6/12)*forecastny_pc75)+((6/12)*forecastcy_pc75) if month==7
replace oneyear_pc75=((7/12)*forecastny_pc75)+((5/12)*forecastcy_pc75) if month==8
replace oneyear_pc75=((8/12)*forecastny_pc75)+((4/12)*forecastcy_pc75) if month==9
replace oneyear_pc75=((9/12)*forecastny_pc75)+((3/12)*forecastcy_pc75) if month==10
replace oneyear_pc75=((10/12)*forecastny_pc75)+((2/12)*forecastcy_pc75) if month==11
replace oneyear_pc75=((11/12)*forecastny_pc75)+((1/12)*forecastcy_pc75) if month==12